<?php

    global $tpl;

    if( core::$i->id )
    {
        
        if( user::$i->mode == 'therapist' )
        {
            db::$i->del('alternatywy',core::$i->id,'id');
            db::$i->del('wartosci',core::$i->id,'alternatywa_id');
            js::$i->setJSON(array(
                'status' => true,
                'html' => "<script>$( '#Alternatywa".( core::$i->id )."' ).slideUp();$( '#Alternatywa".( core::$i->id )."' ).next().slideDown();CloseUsableWindow();$('#Alternatywa".( core::$i->id )."').remove();$('.AlternativePrev',$('.AlternativeGroup').eq(0)).remove();</script>"
            )); 
        } 
        else 
        {
            switch( core::$i->method )
            {
                
                case 'confirm':
                
                
                    if( db::$i->row("SELECT 1 FROM `user` WHERE `pass`='".( esc( user::pass_encoder( $_REQUEST['password'] ) ) )."' AND `mode`='therapist'") )
                    {
                        db::$i->del('alternatywy',core::$i->id,'id');
                        db::$i->del('wartosci',core::$i->id,'alternatywa_id');
                        js::$i->setJSON(array(
                            'status' => true,
                            'html' => "<script>$( '#Alternatywa".( core::$i->id )."' ).slideUp();$( '#Alternatywa".( core::$i->id )."' ).next().slideDown();CloseUsableWindow();$('#Alternatywa".( core::$i->id )."').remove();$('.AlternativePrev',$('.AlternativeGroup').eq(0)).remove();</script>"
                        )); 
         
                    } 
                    else 
                    {
                        js::$i->setJSON(array(
                            'status' => false,
                            'error' => 'Błędne hasło'
                        ));
                    }
                
                    
                break;
    
                default:
                
                    $tpl->assign(array(
                        'id' => core::$i->id
                    ));
                
                    js::$i->setJSON(array(   
                        'status' => true,
                        'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
                    ));
                break;
                
            }
        }

        
    } 
    else 
    {
        js::$i->setJSON(array(
            'status' => false,
            'error' => 'Alternatywa o takim identyfikatorze nie istnieje'
        ));
    }

?>